#134566 Doesn’t work with PHP 8 because of required Plugin ACF

Landing Forums JupiterX WordPress Theme Doesn’t work with PHP 8 because of required Plugin ACF

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • wirkner-2584e6b7

    Hi there,

    meanwhile we bought several licenses for JupiterX. Now we have a site on a server with PHP 8 – and the required Plugin ACF does only work on PHP 7.4

    (with PHP 8 it causes a white screen on the frontend and backend with an unspecified error message)

    Active support for PHP 7.4 will end soon.

    Is there a solution in sight?

    Thanks in advance!

    Kind regards

    Angela

    Alexander Hutsol Support Team

    Hello,

    Would you mind to provide us with wp-admin and FTP (FTP host, FTP user, FTP password, FTP port) login details to your site that is hosted on a server with PHP 8 in the private reply https://prnt.sc/qr3w3e to check the issue?

    Thank you.

    Looking forward to your reply.

     

    Regards.

    Private
    wirkner-2584e6b7
    This reply has been marked as private.
    Alexander Hutsol Support Team

    Hello Angela,

    Thank you for the provided information.

    Yes, please switch back to PHP 8 and then let us know, so we can check the issue.

    Looking forward to your reply.

     

    Have a great weekend too.

    Regards.

    wirkner-2584e6b7

    Hi Alexander,

    just got the information, that PHP is set back to 8.0 – and the page crashed again immediately.

    This time we also got an email from WordPress about a technical problem with the site (please find it attached as pdf-file)

    I hope you can solve this.

    Looking forward to your answer.

    Kind regards

    Angela

    Alexander Hutsol Support Team

    Hello Angela,

    To fix the issue I edited the code in the wp-content/themes/jupiterx/lib/admin/custom-fields/post-types/options/main.php file in line 35.

    Please check the site now.

     

    Regards.

     

    wirkner-2584e6b7

    Hi Alexander,

    site is ok now, thank you!

    What about our other JupiterX-Installations? Do we have to change that code-line in all of them or will there be an update soon?

    Just to be sure, line 35 is this one:
    <div>
    <div>__( ‘To have a blank page for page builders choose a proper %1$s from %2$s.’, ‘jupiterx’ ),</div>
    </div>
     

    Thanks and greetings

    Angela

    Alexander Hutsol Support Team

    Hello Angela,

    I’ll report this issue to our developers for further review.

    For now, you can use the fix with changing the line 35 of the wp-content/themes/jupiterx/lib/admin/custom-fields/post-types/options/main.php file to the following view:

    __( 'To have a blank page for page builders choose a proper <strong>%1$s</strong> from <strong>%2$s</strong>.', 'jupiterx' ),

     

    Regards.

    wirkner-2584e6b7

    Hi Alexander,

    do you have any news about an update?

    Thanks in advance

    Greetings,

    Angela

    Amir Rather Support Team

    Hi there!

    To be honest, we don’t have an ETA for you at the moment, please keep the temporary fix intact for now.

    Regards

Viewing 10 posts - 1 through 10 (of 10 total)
You must be logged in to reply to this topic.
Login